安装程序总提示有错误发生,求指导

为当前最终发行版之前的所有版本提供支持
回复
wuhen365
帖子: 11
注册时间: 2011-05-16 23:09
送出感谢: 0
接收感谢: 0

安装程序总提示有错误发生,求指导

#1

帖子 wuhen365 » 2013-04-17 20:16

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
wine 已经是最新的版本了。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0 B 的额外空间。
您希望继续执行吗?[Y/n]y
正在设置 man-db (2.6.3-3) ...
Can't exec "/var/lib/dpkg/info/man-db.config": 权限不够 at /usr/share/perl/5.14/IPC/Open3.pm line 186.
open2: exec of /var/lib/dpkg/info/man-db.config configure 2.6.3-3 failed at /usr/share/perl5/Debconf/ConfModule.pm line 59
dpkg: error processing man-db (--configure):
子进程 已安装 post-installation 脚本 返回了错误号 13
在处理时有错误发生:
man-db
E: Sub-process /usr/bin/dpkg returned an error code (1)


在终端安装程序的时候总是提示如上的错误,更新管理器升级的时候也是,貌似是安装深度音乐时候更换了ubuntu自带的python-gtk2为deepin版本之后出现的,这个问题怎么解决,求高手指导,谢谢!!

还想问下更换了deepin的python-gtk2之后,系统升级又把这个给换成了ubuntu自带的版本,然后深度音乐就没法启动了,想使用深度音乐播放器怎么办?
wuhen365
帖子: 11
注册时间: 2011-05-16 23:09
送出感谢: 0
接收感谢: 0

Re: 安装程序总提示有错误发生,求指导

#2

帖子 wuhen365 » 2013-04-18 16:09

已经解决,sudo rm /var/lib/dpkg/info/man-db.config 删除后恢复正常,原来只是这一个文件的毛病,以为很严重的说,有相同困扰的朋友可以依样试一下
回复

回到 “老旧版本支持”